<template>
  <v-layout wrap class="write-dialog-content pa-3">
    <v-layout align-center class="px-2">
      <v-flex d-flex xs6>
        <h2>Feedback</h2>
        <v-icon color="#000000">arrow_forward</v-icon>
      </v-flex>
      <v-flex xs6>
        <v-layout wrap justify-space-between v-if="hasReplacements">
          <v-chip
            class="write-dialog-content__chip"
            label
            dark
            color="#8bc34a"
            v-for="(item, index) in replacements"
            :key="index"
          >{{item.value}}</v-chip>
        </v-layout>
        <v-layout>
          <div
            v-if="!hasReplacements"
            class="write-dialog-content__chip_custom"
            label
            dark
            color="red"
          >{{sentence}}</div>
        </v-layout>
      </v-flex>
    </v-layout>
    <v-flex xs12>
      <v-layout wrap class="py-3">
        <v-flex xs12 class="pa-1">
          <h1 class="font-weight-bold">{{shortMessage}}</h1>
        </v-flex>
        <v-flex xs12 class="pa-1">
          <h3 v-html="feedback"></h3>
        </v-flex>
      </v-layout>
    </v-flex>
  </v-layout>
</template>

<script>
export default {
  props: {
    replacements: {
      type: Array,
      default: () => [],
    },
    sentence: {
      type: String,
      default: () => '',
    },
    shortMessage: {
      type: String,
      default: () => '',
    },
    feedback: {
      type: String,
      default: () => '',
    },
  },
  computed: {
    hasReplacements() {
      return this.replacements.length > 0;
    },
  },
};
</script>

<style lang="sass">
.write-dialog-content
  &__chip
    min-width: 5em
    &_custom
      background: #f44336!important
      min-width: 5em
      color: white
      font-size: 1em
      padding: 5px
      border-radius: 4px

</style>
